package meerkat.crypto;

import meerkat.comm.Message;

import java.util.List;

/**
 * Created by talm on 25/10/15.
 *
 * Sign arrays of messages
 */
public interface DigitalSignature { // Extends SCAPI DigitalSignature
    public Signature sign(List<Message> msgs);

    public boolean verify(Signature sig, List<Message> msgs);
}
